Bug 220793 - [NEW PORT] net/kafka: Distributed streaming platform
Summary: [NEW PORT] net/kafka: Distributed streaming platform
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2017-07-17 09:57 UTC by timp87
Modified: 2017-09-07 15:33 UTC (History)
0 users

See Also:


Attachments
kafka port shar file (15.29 KB, application/x-shar)
2017-07-17 09:57 UTC, timp87
no flags Details
unified patch to add net/kafka (16.34 KB, patch)
2017-07-29 10:04 UTC, timp87
no flags Details | Diff
new patch to add net/kafka (16.45 KB, patch)
2017-08-03 15:49 UTC, timp87
no flags Details | Diff
poudriere FreeBSD:10:amd64 kafka-0.11.0.0 log (26.80 KB, text/x-log)
2017-08-03 15:50 UTC, timp87
no flags Details
poudriere FreeBSD:11:amd64 kafka-0.11.0.0 log (27.07 KB, text/x-log)
2017-08-03 15:50 UTC, timp87
no flags Details
poudriere FreeBSD:12:amd64 kafka-0.11.0.0 log (26.79 KB, text/x-log)
2017-08-04 15:36 UTC, timp87
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2017-07-17 09:57:20 UTC
Created attachment 184427 [details]
kafka port shar file

Add new port for Apache Kafka. It's kafka_2.12-0.11.0.0.tgz now.


root@vlt1:/usr/ports/net/kafka # portlint -AC
WARN: Makefile: possible use of absolute pathname "/var/db/${PORTNAME}".
WARN: Makefile: possible use of absolute pathname "/var/log/${PORTNAME}".
WARN: Makefile: possible use of absolute pathname "/var/run/${PORTNAME}".
FATAL: Makefile: no $FreeBSD$ line in comment section.
1 fatal error and 3 warnings found.

Poudriere is in-progress
Comment 1 timp87 2017-07-17 11:33:54 UTC
Sorry, I forgot to say we need new user and group for kafka called just 'kafka'
Comment 2 timp87 2017-07-17 11:38:45 UTC
For example these:
$ diff -u UIDs.orig UIDs
--- UIDs.orig	2017-07-17 14:34:23.048353000 +0300
+++ UIDs	2017-07-17 14:37:27.132526000 +0300
@@ -180,7 +180,7 @@
 # free: 231
 # free: 232
 # free: 233
-# free: 234
+kafka:*:234:234::0:0:Apache Kafka user:/nonexistent:/usr/sbin/nologin
 # free: 235
 # free: 236
 # free: 237


$ diff -u GIDs.orig GIDs
--- GIDs.orig	2017-07-17 14:34:19.074327000 +0300
+++ GIDs	2017-07-17 14:37:42.625651000 +0300
@@ -175,7 +175,7 @@
 # free: 231
 # free: 232
 # free: 233
-# free: 234
+kafka:*:234:
 # free: 235
 # free: 236
 # free: 237
Comment 3 timp87 2017-07-17 11:41:17 UTC
(In reply to timp87 from comment #0)
Full poudriere log https://drive.google.com/file/d/0By9yUmYFrRAKemVsbm5EMnI0Rjg/view
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-18 12:32:38 UTC
Thank you Tim

Feel free to provide this new port as a unified diff, including the additions to UID/GIDS and net/Makefile
Comment 5 timp87 2017-07-28 14:13:40 UTC
Sorry, should I provide more poudriere logs (for other FreeBSD versions)?
Comment 6 timp87 2017-07-29 10:04:37 UTC
Created attachment 184827 [details]
unified patch to add net/kafka

(In reply to Kubilay Kocak from comment #4)

Ok, here is unified patch for net/kafka, net/Makefile, UIDs and GIDs
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 05:54:34 UTC
(In reply to timp87 from comment #5)

Confirmation of what versions/archs were run (using poudriere) is sufficient unless logs are requested
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 05:55:10 UTC
Comment on attachment 184827 [details]
unified patch to add net/kafka

New ports dont need/cant have maintainer approval (yet) by definition (uncommitted)
Comment 9 timp87 2017-08-03 15:49:51 UTC
Created attachment 184998 [details]
new patch to add net/kafka
Comment 10 timp87 2017-08-03 15:50:37 UTC
Created attachment 184999 [details]
poudriere FreeBSD:10:amd64 kafka-0.11.0.0 log
Comment 11 timp87 2017-08-03 15:50:57 UTC
Created attachment 185000 [details]
poudriere FreeBSD:11:amd64 kafka-0.11.0.0 log
Comment 12 timp87 2017-08-04 15:36:56 UTC
Created attachment 185021 [details]
poudriere FreeBSD:12:amd64 kafka-0.11.0.0 log
Comment 13 commit-hook freebsd_committer 2017-09-07 15:30:39 UTC
A commit references this bug:

Author: swills
Date: Thu Sep  7 15:29:36 UTC 2017
New revision: 449404
URL: https://svnweb.freebsd.org/changeset/ports/449404

Log:
  net/kafka: create port

  Kafka is used for building real-time data pipelines and streaming apps.
  It is horizontally scalable, fault-tolerant, wicked fast,
  and runs in production in thousands of companies.

  WWW: https://kafka.apache.org/

  PR:		220793
  Submitted by:	timp87@gmail.com

Changes:
  head/GIDs
  head/UIDs
  head/net/Makefile
  head/net/kafka/
  head/net/kafka/Makefile
  head/net/kafka/distinfo
  head/net/kafka/files/
  head/net/kafka/files/kafka.in
  head/net/kafka/files/patch-bin_kafka-run-class.sh
  head/net/kafka/pkg-descr
  head/net/kafka/pkg-plist
Comment 14 Steve Wills freebsd_committer 2017-09-07 15:33:47 UTC
Committed, thanks!